Documentazione API
Formato standard API v2 dei pannelli SMM. Gli strumenti reseller esistenti funzionano senza modifiche.
Metodo HTTP
POSTAPI URL
https://orcasmm.com/api/v2Formato della richiesta
x-www-form-urlencodedFormato della risposta
JSONPer sicurezza, le richieste sono accettate solo via POST; non inserire mai la tua chiave API in un URL.
action=services
Elenco serviziParametri
| key | API key |
| action | services |
Esempio di risposta
[
{
"service": 1,
"name": "Instagram Followers",
"type": "Default",
"category": "Instagram",
"rate": "0.9000",
"min": "50",
"max": "10000",
"refill": true,
"cancel": true,
"dripfeed": false
}
]action=add
Aggiungi ordineParametri
| key | API key |
| action | add |
| service | ID servizio |
| link | Link |
| quantity | Quantità |
| runs | Esecuzioni drip-feed (facoltativo) |
| interval | Intervallo drip-feed in minuti (facoltativo) |
| comments | Commenti, uno per riga (servizi di commenti) |
Esempio di risposta
{
"order": 23501
}action=status
Stato dell'ordineParametri
| key | API key |
| action | status |
| order | ID ordine |
| orders | ID ordine separati da virgola (fino a 100) |
Esempio di risposta
{
"charge": "0.2782",
"start_count": "3572",
"status": "Partial",
"remains": "157",
"currency": "USD"
}action=refill
Crea refillParametri
| key | API key |
| action | refill |
| order | ID ordine |
| orders | ID ordine separati da virgola (fino a 20) |
Esempio di risposta
{
"refill": 1
}action=refill_status
Stato del refillParametri
| key | API key |
| action | refill_status |
| refill | ID refill |
| refills | ID refill separati da virgola (fino a 20) |
Esempio di risposta
{
"status": "Completed"
}action=cancel
Annulla ordiniParametri
| key | API key |
| action | cancel |
| orders | ID ordine separati da virgola (fino a 20) |
Esempio di risposta
[
{ "order": 9, "cancel": 1 },
{ "order": 2, "cancel": { "error": "Incorrect order ID" } }
]action=balance
SaldoParametri
| key | API key |
| action | balance |
Esempio di risposta
{
"balance": "100.8429",
"currency": "USD"
}Esempio di richiesta (curl)
curl -X POST https://orcasmm.com/api/v2 \ -d key=YOUR_API_KEY \ -d action=add \ -d service=1 \ -d link=https://instagram.com/username \ -d quantity=1000